#ifndef __FCAPalette_DOCUMENT_H__
#define __FCAPalette_DOCUMENT_H__


#include <akndoc.h>

// Forward references
class CFCAPaletteAppUi;
class CEikApplication;

class CFCAPaletteDocument : public CAknDocument
    {
public:
    static CFCAPaletteDocument* NewL(CEikApplication& aApp);
    static CFCAPaletteDocument* NewLC(CEikApplication& aApp);
    ~CFCAPaletteDocument();

public: // from CAknDocument
    CEikAppUi* CreateAppUiL();

private:
    void ConstructL();

    CFCAPaletteDocument(CEikApplication& aApp);

    };


#endif // __FCAPalette_DOCUMENT_H__
